<script lang="ts">
  import { Alert, Badge } from '@sveltestrap/sveltestrap';
  import Prism from '../Utils/Prism.svelte';

  export let feedback: JSON;
</script>

{#if feedback && feedback.feedback}
  <div>
    <Alert color="dark">
      <Badge color="secondary">Feedback:</Badge>
      {feedback.feedback || ''}
    </Alert>
  </div>
{/if}
{#if feedback && feedback.detailed_results}
  <div class="prism-container">
    <Prism language="json" smallCodeWindow={true} code={JSON.stringify(feedback.detailed_results, null, 2)} />
  </div>
{/if}
{#if feedback && !feedback.feedback && !feedback.detailed_results}
  <div class="prism-container">
    <Prism language="json" smallCodeWindow={true} code={JSON.stringify(feedback, null, 2)} />
  </div>
{/if}

<style>
  .prism-container {
    display: flex;
    flex-direction: row;
    align-content: center;
  }
</style>
